%define upstream_name    B-C
%define upstream_version 1.42

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    The Perl Compiler C backend
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/B/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B::Flags) >= 0.40.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IPC::Run)
BuildRequires: perl(Opcodes)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl-devel
%description
This compiler backend takes Perl source and generates C source code
corresponding to the internal structures that perl uses to run your
program. When the generated C source is compiled and run, it cuts out the
time which perl would have taken to load and parse your program into its
internal semi-compiled form. That means that compiling with this backend
will not help improve the runtime execution speed of your program but may
improve the start-up time. Depending on the environment in which your
program runs this may be either a help or a hindrance.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

#%check
#%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml NOTES README SIGNATURE STATUS TESTS
%{_mandir}/man3/*
%perl_vendorlib/*
%{_bindir}/assemble
%{_bindir}/cc_harness
%{_bindir}/disassemble
%{_bindir}/perlcc
%{_mandir}/man1/assemble.1.xz
%{_mandir}/man1/disassemble.1.xz
%{_mandir}/man1/perlcc.1.xz


%changelog

* Tue Feb 21 2012 kharec <kharec> 1.420.0-2.mga2
+ Revision: 211669
- fix typo in paths
- fix path
- fix typo
- tests on B::C are bad.
- fix paths in %%file
- update to 1.42

* Tue Nov 08 2011 kharec <kharec> 1.360.0-1.mga2
+ Revision: 165231
- imported package perl-B-C


* Mon Nov 07 2011 cpan2dist 1.36-1mga
- initial mageia release, generated with cpan2dist
